R_GET_DEF_PORT(3)

FUNCTION
r_get_def_port - Get the default Karma port number for a module.

SYNOPSIS
#include <karma_r.h>

int r_get_def_port

(CONST char *module_name, CONST char *display)

DESCRIPTION
Get the default Karma port number for a module.

module_name
    The module name.

display
    The display string. The display number entry in the string is also used to compute the port number. The syntax for this string is the same as for the X Windows system DISPLAY environmental variable. If this is NULL, the display number defaults to 0.

RETURN VALUE
The default port number on success, else -1.

Multi-threading Level
Unsafe.

NOTE
This routine does not resolve multiple port numbers residing on the same machine and the same display number.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/